Subject: bug#54624: 29.0.50; textsec and ipv6 addresses

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 04 Apr 2022 12:42:54 +0200

Mattias Engdegård <[email-masked]> writes:

> Would you mind if I removed some ambiguity from the regexps then?
> Maybe even simplifying them to "[0-9.]+" and "[0-9a-f:]+"
> respectively?

Fine by me, but addresses that are too long should be suspicious (to
catch people obfuscating by doing things like 000000000000000127.0.0.1
and similar).  That's what I was intending to catch with the {} things
without having to actually do the hard maths myself.  :-)

And as Andreas said, I had forgotten that IPv6 addresses can contain
dots, so if you could fix that at the same time...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no